/* PluginAppletContext.java -- an applet's context within a web browser
   Copyright (C) 2003, 2006  Thomas Fitzsimmons <fitzsim@redhat.com>

   This file is part of GCJ Applet Viewer.

   GCJ Applet Viewer is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   GCJ Applet Viewer is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GCJ Applet Viewer; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

package gnu.gcjwebplugin;

import java.net.URL;
import java.io.IOException;

/*
 * PluginAppletContext represents the context within a webpage of a
 * group of applets that all share the same codebase.
 */
class PluginAppletContext extends CommonAppletContext
{
  public void showDocument(URL url, String target)
  {
    try
      {
        PluginAppletViewer.write("url " + url + " " + target);
      }
    catch(IOException e)
      {
        System.err.println("showDocument failed: " + e);
      }
  }

  public void showStatus(String status)
  {
    try
      {
        PluginAppletViewer.write("status " + status);
      }
    catch(IOException e)
      {
        System.err.println("showDocument failed: " + e);
      }
  }
}
